#include "includes.h"


extern void delay_nms(unsigned int t);
extern void APT32F102_init(void);


/***************************************************/
//main
/**************************************************/
int main(void) 
{
//	delay_nms(2000);
	APT32F102_init();							//102 initial
	
	Dbg_Println(DBG_BIT_SYS_STATUS,"MCU Start!");

    while(1)
	{
		SYSCON_IWDCNT_Reload(); 				//IWDT Clear

		UART1_TASK();
		
		DIP_ScanTask();
		
		BLV_RLY_Task();
		
		CTRL_LEDStatus_Task();
		
		BUS485Send_Task();
		
    }
}
